{ config, pkgs, ... }:
{

  # nvd: https://discourse.nixos.org/t/nvd-simple-nix-nixos-version-diff-tool/12397
  # module from https://infosec.exchange/@wyndon/110662698348958506
  home.activation.diff-update = config.lib.dag.entryAnywhere ''
    ${pkgs.nvd}/bin/nvd diff $oldGenPath $newGenPath
  '';

}
